=== debian/changelog ===
snippy (4.6.0+dfsg-5) unstable; urgency=medium

  * Build with make 4.4.1
    Closes: #1089272
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2024 16:40:07 +0100

snippy (4.6.0+dfsg-4) unstable; urgency=medium

  * Work with snpeff >= 5.1
    Closes: #1029202
    In the second part of the patch the first line which invalidates
    the resulting vcf file is removed via sed.  This needs further
    discussion with SnpEff upstream (issue #510)
  * Add another test - for the moment just for users local machine in
    examples since its quite some effort for autopkgtest
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 10:44:31 +0100

snippy (4.6.0+dfsg-3) unstable; urgency=medium

  * Restrict autopkgtest to "Architecture: amd64 arm64" since the
    precondition libngs-jni exists only on these architectures

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 13:05:51 +0100

snippy (4.6.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Apply multi-arch hints. + snippy-examples: Add Multi-Arch: foreign.
  * Marking the patches as Forwarded: not-needed

 -- Pierre Gruet <pgt@debian.org>  Sat, 21 Jan 2023 11:04:04 +0100

snippy (4.6.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1023283)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 18:39:47 +0100
