=== debian/control ===
Source: snippy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               any2fasta <!nocheck>,
               bcftools <!nocheck>,
               bedtools <!nocheck>,
               bwa <!nocheck>,
               freebayes <!nocheck>,
               libbio-perl-perl <!nocheck>,
               libvcflib-tools <!nocheck>,
               minimap2 <!nocheck>,
               parallel <!nocheck>,
               samtools <!nocheck>,
               samclip <!nocheck>,
               seqtk <!nocheck>,
               snp-sites <!nocheck>,
               snpeff <!nocheck>,
               vt <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/snippy
Vcs-Git: https://salsa.debian.org/med-team/snippy.git
Homepage: https://github.com/tseemann/snippy/
Rules-Requires-Root: no

Package: snippy
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         any2fasta,
         bcftools,
         bedtools,
         bwa,
         freebayes (>= 1.3.6-2),
         libbio-perl-perl,
         libvcflib-tools,
         minimap2,
         parallel,
         samclip,
         samtools,
         seqtk,
         snp-sites,
         snpeff,
         vt
Description: rapid haploid variant calling and core genome alignment
 Snippy finds SNPs between a haploid reference genome and your NGS
 sequence reads. It will find both substitutions (snps) and
 insertions/deletions (indels). It will use as many CPUs as you can give
 it on a single computer (tested to 64 cores). It is designed with speed
 in mind, and produces a consistent set of output files in a single
 folder. It can then take a set of Snippy results using the same
 reference and generate a core SNP alignment (and ultimately a
 phylogenomic tree).

Package: snippy-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: snippy
Multi-Arch: foreign
Description: rapid haploid variant calling and core genome alignment (examples)
 Snippy finds SNPs between a haploid reference genome and your NGS
 sequence reads. It will find both substitutions (snps) and
 insertions/deletions (indels). It will use as many CPUs as you can give
 it on a single computer (tested to 64 cores). It is designed with speed
 in mind, and produces a consistent set of output files in a single
 folder. It can then take a set of Snippy results using the same
 reference and generate a core SNP alignment (and ultimately a
 phylogenomic tree).
 .
 This package contains example data to test snippy.
